#
# spec file for package fuc
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2024 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fuc
Version:        2.1.0
Release:        1.1
Summary:        Modern unix commands focused on performance
License:        Apache-2.0
URL:            https://github.com/SUPERCILEX/fuc
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
# for cargo_install -p
BuildRequires:  cargo-packaging >= 1.2.0
BuildRequires:  rust >= 1.70
ExclusiveArch:  %{rust_tier1_arches}

%description
The FUC-ing project provides modern unix commands focused on performance.
This package provides the commands "rmz" and "cpz", with a CLI interface
compatible with "rm" and "cp", respectively, in a "zippy" faster version.

%prep
%autosetup -a1

%build
%{cargo_build} --all

%install
%{cargo_install -p cpz}
%{cargo_install -p rmz}

%files
%license LICENSE
%doc README.md
%{_bindir}/cpz
%{_bindir}/rmz

%changelog
* Sun Apr 21 2024 andrea.manzini@suse.com
- Update to version 2.1.0:
  * Stable rust patch
  * Upgrade FTZZ
  * Add progress feature (closes #14)
  * Upgrade deps
  * Remove release_max_level_off since tracing is completely compiled out by default anyway
  * Add tip for merging directories
  * Integrate tracing
* Wed Jan 24 2024 andreas.stieger@gmx.de
- Update to version 2.0.0:
  * Improved handling of deeply nested folders and other IO errors
  * Never follow symlinks for deletion
* Sat Nov 25 2023 andrea.manzini@suse.com
- Update to version 1.1.9:
  * Upgrade deps
  * Don't show stack traces in errors
  * Tweak copy error message slightly
  * Use better pattern matching
  * Fix inconsistent badge sytling
  * Support flipping cpz argument order
  * Slight efficiency improvement (at the expense of throughput in hopefully rare cases)
  * Update README.md
- removed cargo config from spec since now it's bundled in vendor
* Mon Mar 27 2023 andreas.stieger@gmx.de
- initial package (1.1.7)
